<?php

namespace App\Http\Requests\Order;

use Illuminate\Foundation\Http\FormRequest;

class CreateFromQuoteRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'delivery_date' => 'nullable|date',
            'memo' => 'nullable|string',
        ];
    }

    public function messages(): array
    {
        return [
            'delivery_date.date' => __('validation.date', ['attribute' => '납품일']),
        ];
    }
}
